Subject: bug#28828: 27.0.50; move-file-to-trash in files.el fails on non-empty directories

From: Tino Calancha <[email-masked]>
Date: Sat, 14 Oct 2017 18:22:53 +0900

Geoffrey Ferrari <[email-masked]> writes:

> Start emacs with emacs -Q
>
> Set delete-by-moving-to trash to t
> (setq delete-by-moving-to-trash t)
>
> In dired, try to delete a non-empty directory.
>
> This fails with a message:
> "(file-error Non-regular file Is a directory [path]"
>
> The problem appears to be with the function move-file-to-trash in
> files.el
>
> In particular, the error is raised at the end of the function when
> executing (rename-file fn new-fn) . I can't trace it any further as
> this is a compiled function.
Thank you.  I believe this is Bug#28792 which has being fixed in
emacs-26 and master branches this week.

> In GNU Emacs 27.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
> 3.22.21)
>  of 2017-10-01, unofficial emacs-snapshot build: http://emacs.secretsau
> ce.net built on lilbastard
I see latest snapshot at http://emacs.secretsauce.net
is from 8 days ago (https://github.com/dkogan/emacs-snapshot); that
means you will get the fix in the next snapshot.